> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Client Group Paths



## OpenAPI

````yaml https://api.truestate.io/openapi.json put /client-groups/{group_id}/paths
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /client-groups/{group_id}/paths:
    put:
      tags:
        - client-access
      summary: Set Client Group Paths
      operationId: set_client_group_paths_client_groups__group_id__paths_put
      parameters:
        - name: group_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Group Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientGroupPathAccessUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientGroupRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ClientGroupPathAccessUpdate:
      properties:
        folder_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Folder Ids
        file_ids:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: File Ids
        folder_permissions:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Folder Permissions
        file_permissions:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: File Permissions
      type: object
      title: ClientGroupPathAccessUpdate
    ClientGroupRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        archived:
          type: boolean
          title: Archived
        is_default:
          type: boolean
          title: Is Default
        members:
          items:
            $ref: '#/components/schemas/ClientMemberRead'
          type: array
          title: Members
        workspaces:
          items:
            $ref: '#/components/schemas/ClientWorkspaceRead'
          type: array
          title: Workspaces
        policy:
          anyOf:
            - $ref: '#/components/schemas/ClientPolicyRead'
            - type: 'null'
        usage:
          additionalProperties:
            anyOf:
              - type: integer
              - type: string
              - type: 'null'
          type: object
          title: Usage
        asset_access:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Asset Access
        folder_access:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Folder Access
        file_access:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: File Access
      type: object
      required:
        - id
        - name
        - description
        - archived
        - is_default
        - members
        - workspaces
        - policy
        - usage
        - asset_access
        - folder_access
        - file_access
      title: ClientGroupRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientMemberRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        email:
          type: string
          title: Email
        status:
          type: string
          title: Status
          default: active
        folder_access:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: Folder Access
        file_access:
          items:
            additionalProperties:
              type: string
            type: object
          type: array
          title: File Access
      type: object
      required:
        - id
        - name
        - email
      title: ClientMemberRead
    ClientWorkspaceRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        access_level:
          type: string
          title: Access Level
          default: VIEW
      type: object
      required:
        - id
        - name
        - description
      title: ClientWorkspaceRead
    ClientPolicyRead:
      properties:
        period_days:
          type: integer
          title: Period Days
        ai_credit_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ai Credit Limit
        infrastructure_credit_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Infrastructure Credit Limit
        request_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Request Limit
        hard_stop:
          type: boolean
          title: Hard Stop
      type: object
      required:
        - period_days
        - ai_credit_limit
        - infrastructure_credit_limit
        - request_limit
        - hard_stop
      title: ClientPolicyRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````